<?xml version="1.0"?>
<root
  xmlns="http://panopainter.com/layout.xsd"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
>

  <layout id="dialog-cloud-item">
    <border dir="col" color=".4 .4 .4 .8" pad="4" height="100" width="100" margin="1 1 1 1" grow="1" align="center">
      <image-texture id="thumb-tex" width="100%" grow="1" height="1" aspect-ratio="1">
        <border positioning="absolute" color="0 0 0 .5" pad="2" width="100%">
          <text id="title" text="File Name" text-wrap-width="85"/>
        </border>
      </image-texture>
    </border>
  </layout>
  <layout id="dialog-cloud">
    <border id="background" positioning="absolute" position="0 0" color=".4 .4 .4 .8" width="100%" height="100%" align="center" justify="center" mouse-capture="true">
      <border id="form" thickness="1" border-color=".2" pad="3" width="90%" height="90%" dir="col">
        <border id="title-bar" width="100%" height="30" color=".2 .2 .2 .9" dir="row" align="center" justify="center">
          <text text="Browse PanoPainter Projects"></text>
        </border>
        <border width="100%" height="100" color="0 0 0 .9" pad="10" dir="row" grow="1">
          <scroll id="files-list" dir="row" wrap="1" flood-events="1" grow="1" height="100%" margin="0 0 0 0" pad="0 20 0 0" color=".2 .2 .2 1">
          </scroll>
        </border>
        <node id="footer" height="50" dir="row" align="flex-end" justify="flex-end" pad="10">
          <node grow="1" os="win,osx">
            <button id="btn-path" text="Set destination dir" width="130" height="30" margin="0 10 0 0"/>
          </node>
          <button id="btn-ok" text="Open Project" width="100" height="30" margin="0 10 0 0"/>
          <button id="btn-cancel" text="Cancel" width="60" height="30"/>
        </node>
      </border>
    </border>
  </layout>

</root>
